Obter parceiro financeiro
curl --request GET \
--url https://api.juridiq.com.br/financial/partners/{id} \
--header 'x-juridiq-api-key: <api-key>'import requests
url = "https://api.juridiq.com.br/financial/partners/{id}"
headers = {"x-juridiq-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-juridiq-api-key': '<api-key>'}};
fetch('https://api.juridiq.com.br/financial/partners/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.juridiq.com.br/financial/partners/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-juridiq-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.juridiq.com.br/financial/partners/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-juridiq-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.juridiq.com.br/financial/partners/{id}")
.header("x-juridiq-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.juridiq.com.br/financial/partners/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-juridiq-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"photoUrl": "<string>",
"personType": "PF",
"document": "<string>",
"phone": "<string>",
"email": "<string>",
"oabNumber": "<string>",
"oabState": "<string>",
"oabStatus": "active",
"practiceType": "correspondent",
"pixKeyType": "cpf",
"pixKey": "<string>",
"pixHolderName": "<string>",
"city": "<string>",
"state": "<string>",
"status": "active",
"observation": "<string>",
"commissionType": "FIXED",
"percentage": 123,
"fixedValue": 123,
"commissionPaid": 123,
"commissionTotal": 123,
"lawSuitCount": 123,
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Financial
Obter parceiro financeiro
GET
/
financial
/
partners
/
{id}
Obter parceiro financeiro
curl --request GET \
--url https://api.juridiq.com.br/financial/partners/{id} \
--header 'x-juridiq-api-key: <api-key>'import requests
url = "https://api.juridiq.com.br/financial/partners/{id}"
headers = {"x-juridiq-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-juridiq-api-key': '<api-key>'}};
fetch('https://api.juridiq.com.br/financial/partners/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.juridiq.com.br/financial/partners/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-juridiq-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.juridiq.com.br/financial/partners/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-juridiq-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.juridiq.com.br/financial/partners/{id}")
.header("x-juridiq-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.juridiq.com.br/financial/partners/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-juridiq-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"photoUrl": "<string>",
"personType": "PF",
"document": "<string>",
"phone": "<string>",
"email": "<string>",
"oabNumber": "<string>",
"oabState": "<string>",
"oabStatus": "active",
"practiceType": "correspondent",
"pixKeyType": "cpf",
"pixKey": "<string>",
"pixHolderName": "<string>",
"city": "<string>",
"state": "<string>",
"status": "active",
"observation": "<string>",
"commissionType": "FIXED",
"percentage": 123,
"fixedValue": 123,
"commissionPaid": 123,
"commissionTotal": 123,
"lawSuitCount": 123,
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-juridiq-api-key. A API aberta aplica rate limit por chave (veja a documentação de integradores).
Path Parameters
ID do parceiro
Response
Default Response
ID do parceiro
Nome de exibição
URL da foto
PF ou PJ
Available options:
PF, PJ CPF ou CNPJ
Telefone
Número da OAB
UF da OAB
Situação da OAB
Available options:
active, inactive, suspended Tipo de atuação
Available options:
correspondent, partner, associated, expert, dispatcher, translator, other Tipo da chave PIX
Available options:
cpf, cnpj, email, phone, random Chave PIX
Titular da chave PIX
Cidade da comarca
UF da comarca
Status de gestão
Available options:
active, under_review, blocked, inactive Observação interna do escritório
Tipo de comissão
Available options:
FIXED, PERCENTAGE, FIXED_AND_PERCENTAGE Percentual
Valor fixo
Comissão paga
Comissão total
Quantidade de processos vinculados
Criado em
Atualizado em

